Rotate service password
curl --request POST \
--url https://app.miget.com/api/v1/services/{id}/rotate_password \
--header 'Authorization: <api-key>'import requests
url = "https://app.miget.com/api/v1/services/{id}/rotate_password"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://app.miget.com/api/v1/services/{id}/rotate_password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}Services
Rotate service password
Rotates the password for a standalone service (database, cache, etc.). Only certain service types support password rotation (databases like PostgreSQL, MySQL, and caches like Valkey). The new password will be returned in the response. You must update ENV variables manually after rotation.
POST
/
api
/
v1
/
services
/
{id}
/
rotate_password
Rotate service password
Authorizations
Bearer token for authentication. Format: 'Bearer {token}'
Headers
Workspace ID (uses default workspace if not provided)
Path Parameters
Service ID
Response
Rotate service password
Api_V1_Entities_Message model
Response message

